#  ---------------------------------------------------------------------------
#   				initialize telit_cfgdata
#  ---------------------------------------------------------------------------
#

#! /bin/sh
#
SYMLINK_HSUSB="/sbin/usb/boot_hsusb_composition"
PID=`readlink $SYMLINK_HSUSB | cut -d / -f 6 | sed -e 's/\"//g'`
COMP_DIR="/sbin/usb/compositions"

if [ -r /dev/shm/USB.conf ]; then
        . /dev/shm/USB.conf
else
  nUSB_PID=1042	
fi



set -e

case "$1" in
       start)
                echo -n "start initial cfgdata "
		if [ "$nUSB_PID" != "$PID" ]; then
		   if [ -L $SYMLINK_HSUSB  ]; then
		     rm $SYMLINK_HSUSB
		   fi
		   ln -s $COMP_DIR/$nUSB_PID $SYMLINK_HSUSB
		   rm /sbin/usb/compositions/hsusb_next
		   echo "$PID" > /sbin/usb/compositions/hsusb_next
		fi
                echo "done"
                ;;
       stop)
                echo -n "stopping initial cfg data: "
                echo "done"
                ;;
       *)
                echo "Usage:  telit_cfgdata { start | stop  }" >&2
                exit 1
                ;;
esac

exit 0
