#!/bin/sh

set -e

if [ -r /etc/diagipr.conf ]; then
        . /etc/diagipr.conf
else
  nDiagipr=115200	
fi

case "$1" in
   start)
   
     if [ -f /etc/console_disable ]; then
          echo "Starting diag_uart_log"     
          /usr/bin/telit_set_console enable
          touch /tmp/console_disable
          /usr/bin/diag_uart_log -d /dev/ttyHSL0 -i $nDiagipr -o $nDiagipr -e & 
     fi
    ;;
   stop)
     pid=`/bin/pidof diag_uart_log`
     [ -n "$pid" ] && kill $pid
    ;;
esac
exit 0
